Preskoči na vsebino

Cosmos Predict 2.5 2B Distilled

Integracija

ID modela cosmos-predict-2.5/distilled/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/cosmos-predict-2.5/distilled/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Ta zahteva: 0,08 $ 80 API kreditov · ≈ 8,59 ₽ Zaženi na tej strani

Pridobi ključ API
NVIDIA · Videoposnetek

Tukaj bo vaš prvi rezultat

Spodaj sestavite zahtevo in jo zaženite s svojim ključem API. Izhodi se kopirajo v našo shrambo, kjer se hranijo za vedno ali 7 dni brezplačno.

Ustvari zahtevo

Kontrolniki se ustvarijo iz sheme modela. Koda in cena se posodobita, ko ju spreminjate.

•obvezno

Besedilni opis želenega videa.

Napredno negative_prompt · video_output_type · video_quality · num_frames · num_inference_steps · seed · enable_safety_checker
privzeto The video captures a ...

Negativni poziv, ki določa neželeno vsebino, od katere naj se generiranje odmakne.

video_output_type privzeto X264 (.mp4)

Oblika zapisa nastalega videa.

video_quality privzeto high

Nastavitev kakovosti nastalega videa.

privzeto 93

Število sličic za generiranje, od 9 do 93.

privzeto 10

Število korakov odstranjevanja šuma. Destilirani model dobro deluje tudi z manj koraki.

Naključni seed, ki omogoča ponovljivo generiranje.

POST /run/cosmos-predict-2.5/distilled/text-to-video?wait=20 cena → 0,08 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/cosmos-predict-2.5/distilled/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Zaženi to zahtevo

Vaš ključ ostane v tem brskalniku: pošlje se samo v Doitong API in shrani v localStorage samo, če označite možnost Zapomni si. Pridobi ključ API

O modelu Cosmos Predict 2.5 2B Distilled

Ustvari video iz besedilnega `prompt` z destiliranim modelom Cosmos Predict 2.5 2B, ki privzeto uporablja 10 korakov (največ 20). `num_frames` sega od 9 do 93. Izhod je lahko X264 mp4, VP9 webm, ProRes 4444 mov ali GIF, `video_quality` pa sega od low do maximum.

Parametri

ImeVrsta PrivzetoDovoljeno Opis
promptobvezno
Vrstastring
Besedilni opis želenega videa.
negative_promptneobvezno
Vrstastring
PrivzetoThe video captures a series of frames showing ugly scenes, static with no motion, motion blur, over-saturation, shaky footage, low resolution, grainy texture, pixelated images, poorly lit areas, underexposed and overexposed scenes, poor color balance, washed out colors, choppy sequences, jerky movements, low frame rate, artifacting, color banding, unnatural transitions, outdated special effects, fake elements, unconvincing visuals, poorly edited content, jump cuts, visual noise, and flickering. Overall, the video is of poor quality.
Negativni poziv, ki določa neželeno vsebino, od katere naj se generiranje odmakne.
num_framesneobvezno
Vrstainteger
Privzeto93
9 – 93
Število sličic za generiranje, od 9 do 93.
num_inference_stepsneobvezno
Vrstainteger
Privzeto10
1 – 20
Število korakov odstranjevanja šuma. Destilirani model dobro deluje tudi z manj koraki.
seedneobvezno
Vrstainteger | null
Naključni seed, ki omogoča ponovljivo generiranje.
video_output_typeneobvezno
Vrstaenum
PrivzetoX264 (.mp4)
X264 (.mp4)VP9 (.webm)PRORES4444 (.mov)GIF (.gif)
Oblika zapisa nastalega videa.
video_qualityneobvezno
Vrstaenum
Privzetohigh
lowmediumhighmaximum
Nastavitev kakovosti nastalega videa.
enable_safety_checkerneobvezno
Vrstaboolean
Privzetotrue
Preverjanje je mogoče omiliti z nastavitvijo false, če je klicatelj pooblaščen.
obvezno

Izhod

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "cosmos-predict-2.5/distilled/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 80,
    "usd": "0.08",
    "charged": 80,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Vaše datoteke, vaša izbiraVsak outputs[].url je kopija v naši shrambi: hrani se za vedno (plačilo na GB-mesec) ali 7 dni brezplačno, glede na nastavitev računa ali ?storage=.
Enaka struktura pri vsakem modelutype, url, content_type, width, height in duration za slike, videoposnetke in zvok. output je lasten objekt rezultata modela.
Polja izhoda
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}Video datoteka, ustvarjena z generiranjem.
seed
integerSeme, ki je nadzorovalo naključnost med generiranjem.

Več modelov: Besedilo v videoposnetek

Za agente AI: ta stran je v obliki Markdown na voljo na https://doitong.com/sl/developers/models/cosmos-predict-2.5/distilled/text-to-video.md. Vsi modeli in vodniki: https://doitong.com/developers/llms.txt